/* SPDX-License-Identifier: (LGPL-2.1 OR BSD-2-Clause) */

/* THIS FILE IS AUTOGENERATED! */
#ifndef __SOCKET_BIND_BPF_SKEL_H__
#define __SOCKET_BIND_BPF_SKEL_H__

#include <stdlib.h>
#include <bpf/libbpf.h>

struct socket_bind_bpf {
	struct bpf_object_skeleton *skeleton;
	struct bpf_object *obj;
	struct {
		struct bpf_map *sd_bind_allow;
		struct bpf_map *sd_bind_deny;
	} maps;
	struct {
		struct bpf_program *sd_bind4;
		struct bpf_program *sd_bind6;
	} progs;
	struct {
		struct bpf_link *sd_bind4;
		struct bpf_link *sd_bind6;
	} links;
};

static void
socket_bind_bpf__destroy(struct socket_bind_bpf *obj)
{
	if (!obj)
		return;
	if (obj->skeleton)
		bpf_object__destroy_skeleton(obj->skeleton);
	free(obj);
}

static inline int
socket_bind_bpf__create_skeleton(struct socket_bind_bpf *obj);

static inline struct socket_bind_bpf *
socket_bind_bpf__open_opts(const struct bpf_object_open_opts *opts)
{
	struct socket_bind_bpf *obj;

	obj = (struct socket_bind_bpf *)calloc(1, sizeof(*obj));
	if (!obj)
		return NULL;
	if (socket_bind_bpf__create_skeleton(obj))
		goto err;
	if (bpf_object__open_skeleton(obj->skeleton, opts))
		goto err;

	return obj;
err:
	socket_bind_bpf__destroy(obj);
	return NULL;
}

static inline struct socket_bind_bpf *
socket_bind_bpf__open(void)
{
	return socket_bind_bpf__open_opts(NULL);
}

static inline int
socket_bind_bpf__load(struct socket_bind_bpf *obj)
{
	return bpf_object__load_skeleton(obj->skeleton);
}

static inline struct socket_bind_bpf *
socket_bind_bpf__open_and_load(void)
{
	struct socket_bind_bpf *obj;

	obj = socket_bind_bpf__open();
	if (!obj)
		return NULL;
	if (socket_bind_bpf__load(obj)) {
		socket_bind_bpf__destroy(obj);
		return NULL;
	}
	return obj;
}

static inline int
socket_bind_bpf__attach(struct socket_bind_bpf *obj)
{
	return bpf_object__attach_skeleton(obj->skeleton);
}

static inline void
socket_bind_bpf__detach(struct socket_bind_bpf *obj)
{
	return bpf_object__detach_skeleton(obj->skeleton);
}

static inline int
socket_bind_bpf__create_skeleton(struct socket_bind_bpf *obj)
{
	struct bpf_object_skeleton *s;

	s = (struct bpf_object_skeleton *)calloc(1, sizeof(*s));
	if (!s)
		return -1;
	obj->skeleton = s;

	s->sz = sizeof(*s);
	s->name = "socket_bind_bpf";
	s->obj = &obj->obj;

	/* maps */
	s->map_cnt = 2;
	s->map_skel_sz = sizeof(*s->maps);
	s->maps = (struct bpf_map_skeleton *)calloc(s->map_cnt, s->map_skel_sz);
	if (!s->maps)
		goto err;

	s->maps[0].name = "sd_bind_allow";
	s->maps[0].map = &obj->maps.sd_bind_allow;

	s->maps[1].name = "sd_bind_deny";
	s->maps[1].map = &obj->maps.sd_bind_deny;

	/* programs */
	s->prog_cnt = 2;
	s->prog_skel_sz = sizeof(*s->progs);
	s->progs = (struct bpf_prog_skeleton *)calloc(s->prog_cnt, s->prog_skel_sz);
	if (!s->progs)
		goto err;

	s->progs[0].name = "sd_bind4";
	s->progs[0].prog = &obj->progs.sd_bind4;
	s->progs[0].link = &obj->links.sd_bind4;

	s->progs[1].name = "sd_bind6";
	s->progs[1].prog = &obj->progs.sd_bind6;
	s->progs[1].link = &obj->links.sd_bind6;

	s->data_sz = 8416;
	s->data = (void *)"\
\x7f\x45\x4c\x46\x02\x01\x01\0\0\0\0\0\0\0\0\0\x01\0\xf7\0\x01\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\x20\x1d\0\0\0\0\0\0\0\0\0\0\x40\0\0\0\0\0\x40\0\x0f\0\
\x0e\0\xbf\x17\0\0\0\0\0\0\xb7\x06\0\0\x01\0\0\0\x61\x71\0\0\0\0\0\0\x55\x01\
\x44\0\x02\0\0\0\x61\x71\x1c\0\0\0\0\0\x55\x01\x42\0\x02\0\0\0\x61\x71\x18\0\0\
\0\0\0\x63\x1a\xfc\xff\0\0\0\0\xb7\x08\0\0\0\0\0\0\x61\xa9\xfc\xff\0\0\0\0\xdc\
\x09\0\0\x10\0\0\0\x63\x8a\xf8\xff\0\0\0\0\xbf\xa2\0\0\0\0\0\0\x07\x02\0\0\xf8\
\xff\xff\xff\x18\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x85\0\0\0\x01\0\0\0\x15\0\x14\
\0\0\0\0\0\x61\x01\0\0\0\0\0\0\x15\x01\x03\0\0\0\0\0\x61\x72\0\0\0\0\0\0\x57\
\x02\0\0\xff\0\0\0\x5d\x21\x0a\0\0\0\0\0\x61\x01\x04\0\0\0\0\0\x15\x01\x02\0\0\
\0\0\0\x61\x72\x24\0\0\0\0\0\x5d\x21\x06\0\0\0\0\0\x69\x01\x08\0\0\0\0\0\x15\
\x01\x2b\0\0\0\0\0\x69\x02\x0a\0\0\0\0\0\x2d\x92\x02\0\0\0\0\0\x0f\x12\0\0\0\0\
\0\0\x2d\x92\x27\0\0\0\0\0\x07\x08\0\0\x01\0\0\0\xbf\x81\0\0\0\0\0\0\x67\x01\0\
\0\x20\0\0\0\x77\x01\0\0\x20\0\0\0\x55\x01\xe5\xff\x80\0\0\0\x61\x71\x18\0\0\0\
\0\0\x63\x1a\xfc\xff\0\0\0\0\xb7\x08\0\0\0\0\0\0\x61\xa9\xfc\xff\0\0\0\0\xdc\
\x09\0\0\x10\0\0\0\x63\x8a\xf8\xff\0\0\0\0\xbf\xa2\0\0\0\0\0\0\x07\x02\0\0\xf8\
\xff\xff\xff\x18\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x85\0\0\0\x01\0\0\0\x15\0\x16\
\0\0\0\0\0\x61\x01\0\0\0\0\0\0\x15\x01\x03\0\0\0\0\0\x61\x72\0\0\0\0\0\0\x57\
\x02\0\0\xff\0\0\0\x5d\x21\x0a\0\0\0\0\0\x61\x01\x04\0\0\0\0\0\x15\x01\x02\0\0\
\0\0\0\x61\x72\x24\0\0\0\0\0\x5d\x21\x06\0\0\0\0\0\x69\x01\x08\0\0\0\0\0\x15\
\x01\x0a\0\0\0\0\0\x69\x02\x0a\0\0\0\0\0\x2d\x92\x02\0\0\0\0\0\x0f\x12\0\0\0\0\
\0\0\x2d\x92\x06\0\0\0\0\0\x07\x08\0\0\x01\0\0\0\xbf\x81\0\0\0\0\0\0\x67\x01\0\
\0\x20\0\0\0\x77\x01\0\0\x20\0\0\0\x55\x01\xe5\xff\x80\0\0\0\x05\0\x01\0\0\0\0\
\0\xb7\x06\0\0\0\0\0\0\xbf\x60\0\0\0\0\0\0\x95\0\0\0\0\0\0\0\xbf\x17\0\0\0\0\0\
\0\xb7\x06\0\0\x01\0\0\0\x61\x71\0\0\0\0\0\0\x55\x01\x44\0\x0a\0\0\0\x61\x71\
\x1c\0\0\0\0\0\x55\x01\x42\0\x0a\0\0\0\x61\x71\x18\0\0\0\0\0\x63\x1a\xfc\xff\0\
\0\0\0\xb7\x08\0\0\0\0\0\0\x61\xa9\xfc\xff\0\0\0\0\xdc\x09\0\0\x10\0\0\0\x63\
\x8a\xf8\xff\0\0\0\0\xbf\xa2\0\0\0\0\0\0\x07\x02\0\0\xf8\xff\xff\xff\x18\x01\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\x85\0\0\0\x01\0\0\0\x15\0\x14\0\0\0\0\0\x61\x01\0\0\
\0\0\0\0\x15\x01\x03\0\0\0\0\0\x61\x72\0\0\0\0\0\0\x57\x02\0\0\xff\0\0\0\x5d\
\x21\x0a\0\0\0\0\0\x61\x01\x04\0\0\0\0\0\x15\x01\x02\0\0\0\0\0\x61\x72\x24\0\0\
\0\0\0\x5d\x21\x06\0\0\0\0\0\x69\x01\x08\0\0\0\0\0\x15\x01\x2b\0\0\0\0\0\x69\
\x02\x0a\0\0\0\0\0\x2d\x92\x02\0\0\0\0\0\x0f\x12\0\0\0\0\0\0\x2d\x92\x27\0\0\0\
\0\0\x07\x08\0\0\x01\0\0\0\xbf\x81\0\0\0\0\0\0\x67\x01\0\0\x20\0\0\0\x77\x01\0\
\0\x20\0\0\0\x55\x01\xe5\xff\x80\0\0\0\x61\x71\x18\0\0\0\0\0\x63\x1a\xfc\xff\0\
\0\0\0\xb7\x08\0\0\0\0\0\0\x61\xa9\xfc\xff\0\0\0\0\xdc\x09\0\0\x10\0\0\0\x63\
\x8a\xf8\xff\0\0\0\0\xbf\xa2\0\0\0\0\0\0\x07\x02\0\0\xf8\xff\xff\xff\x18\x01\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\x85\0\0\0\x01\0\0\0\x15\0\x16\0\0\0\0\0\x61\x01\0\0\
\0\0\0\0\x15\x01\x03\0\0\0\0\0\x61\x72\0\0\0\0\0\0\x57\x02\0\0\xff\0\0\0\x5d\
\x21\x0a\0\0\0\0\0\x61\x01\x04\0\0\0\0\0\x15\x01\x02\0\0\0\0\0\x61\x72\x24\0\0\
\0\0\0\x5d\x21\x06\0\0\0\0\0\x69\x01\x08\0\0\0\0\0\x15\x01\x0a\0\0\0\0\0\x69\
\x02\x0a\0\0\0\0\0\x2d\x92\x02\0\0\0\0\0\x0f\x12\0\0\0\0\0\0\x2d\x92\x06\0\0\0\
\0\0\x07\x08\0\0\x01\0\0\0\xbf\x81\0\0\0\0\0\0\x67\x01\0\0\x20\0\0\0\x77\x01\0\
\0\x20\0\0\0\x55\x01\xe5\xff\x80\0\0\0\x05\0\x01\0\0\0\0\0\xb7\x06\0\0\0\0\0\0\
\xbf\x60\0\0\0\0\0\0\x95\0\0\0\0\0\0\0\x47\x50\x4c\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\x9f\xeb\x01\0\x18\0\0\0\0\0\0\0\xac\x02\0\0\xac\x02\0\0\xbd\x04\0\0\0\0\0\0\0\
\0\0\x02\x03\0\0\0\x01\0\0\0\0\0\0\x01\x04\0\0\0\x20\0\0\x01\0\0\0\0\0\0\0\x03\
\0\0\0\0\x02\0\0\0\x04\0\0\0\x02\0\0\0\x05\0\0\0\0\0\0\x01\x04\0\0\0\x20\0\0\0\
\0\0\0\0\0\0\0\x02\x06\0\0\0\x19\0\0\0\0\0\0\x08\x07\0\0\0\x1f\0\0\0\0\0\0\x01\
\x04\0\0\0\x20\0\0\0\0\0\0\0\0\0\0\x02\x09\0\0\0\x2c\0\0\0\x04\0\0\x04\x0c\0\0\
\0\x3d\0\0\0\x06\0\0\0\0\0\0\0\x4c\0\0\0\x06\0\0\0\x20\0\0\0\x55\0\0\0\x0a\0\0\
\0\x40\0\0\0\x5e\0\0\0\x0a\0\0\0\x50\0\0\0\x67\0\0\0\0\0\0\x08\x0b\0\0\0\x6d\0\
\0\0\0\0\0\x01\x02\0\0\0\x10\0\0\0\x7c\0\0\0\x03\0\0\x04\x18\0\0\0\x8e\0\0\0\
\x01\0\0\0\0\0\0\0\x93\0\0\0\x05\0\0\0\x40\0\0\0\x97\0\0\0\x08\0\0\0\x80\0\0\0\
\x9d\0\0\0\0\0\0\x0e\x0c\0\0\0\x01\0\0\0\xab\0\0\0\0\0\0\x0e\x0c\0\0\0\x01\0\0\
\0\0\0\0\0\0\0\0\x02\x10\0\0\0\xb8\0\0\0\x0a\0\0\x04\x48\0\0\0\xc6\0\0\0\x06\0\
\0\0\0\0\0\0\xd2\0\0\0\x06\0\0\0\x20\0\0\0\xdb\0\0\0\x11\0\0\0\x40\0\0\0\xe4\0\
\0\0\x06\0\0\0\xc0\0\0\0\xee\0\0\0\x06\0\0\0\xe0\0\0\0\x8e\0\0\0\x06\0\0\0\0\
\x01\0\0\x4c\0\0\0\x06\0\0\0\x20\x01\0\0\xf5\0\0\0\x06\0\0\0\x40\x01\0\0\x01\
\x01\0\0\x11\0\0\0\x60\x01\0\0\0\0\0\0\x12\0\0\0\0\x02\0\0\0\0\0\0\0\0\0\x03\0\
\0\0\0\x06\0\0\0\x04\0\0\0\x04\0\0\0\0\0\0\0\x01\0\0\x05\x08\0\0\0\x0d\x01\0\0\
\x13\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x02\x1d\0\0\0\0\0\0\0\x01\0\0\x0d\x02\0\0\0\
\x10\x01\0\0\x0f\0\0\0\x14\x01\0\0\x01\0\0\x0c\x14\0\0\0\0\0\0\0\x01\0\0\x0d\
\x02\0\0\0\x10\x01\0\0\x0f\0\0\0\x13\x04\0\0\x01\0\0\x0c\x16\0\0\0\x98\x04\0\0\
\0\0\0\x01\x01\0\0\0\x08\0\0\x01\0\0\0\0\0\0\0\x03\0\0\0\0\x18\0\0\0\x04\0\0\0\
\x04\0\0\0\x9d\x04\0\0\0\0\0\x0e\x19\0\0\0\x01\0\0\0\xa6\x04\0\0\x02\0\0\x0f\0\
\0\0\0\x0d\0\0\0\0\0\0\0\x18\0\0\0\x0e\0\0\0\0\0\0\0\x18\0\0\0\xac\x04\0\0\x01\
\0\0\x0f\0\0\0\0\x1a\0\0\0\0\0\0\0\x04\0\0\0\xb4\x04\0\0\0\0\0\x07\0\0\0\0\0\
\x69\x6e\x74\0\x5f\x5f\x41\x52\x52\x41\x59\x5f\x53\x49\x5a\x45\x5f\x54\x59\x50\
\x45\x5f\x5f\0\x5f\x5f\x75\x33\x32\0\x75\x6e\x73\x69\x67\x6e\x65\x64\x20\x69\
\x6e\x74\0\x73\x6f\x63\x6b\x65\x74\x5f\x62\x69\x6e\x64\x5f\x72\x75\x6c\x65\0\
\x61\x64\x64\x72\x65\x73\x73\x5f\x66\x61\x6d\x69\x6c\x79\0\x70\x72\x6f\x74\x6f\
\x63\x6f\x6c\0\x6e\x72\x5f\x70\x6f\x72\x74\x73\0\x70\x6f\x72\x74\x5f\x6d\x69\
\x6e\0\x5f\x5f\x75\x31\x36\0\x75\x6e\x73\x69\x67\x6e\x65\x64\x20\x73\x68\x6f\
\x72\x74\0\x73\x6f\x63\x6b\x65\x74\x5f\x62\x69\x6e\x64\x5f\x6d\x61\x70\x5f\x74\
\0\x74\x79\x70\x65\0\x6b\x65\x79\0\x76\x61\x6c\x75\x65\0\x73\x64\x5f\x62\x69\
\x6e\x64\x5f\x61\x6c\x6c\x6f\x77\0\x73\x64\x5f\x62\x69\x6e\x64\x5f\x64\x65\x6e\
\x79\0\x62\x70\x66\x5f\x73\x6f\x63\x6b\x5f\x61\x64\x64\x72\0\x75\x73\x65\x72\
\x5f\x66\x61\x6d\x69\x6c\x79\0\x75\x73\x65\x72\x5f\x69\x70\x34\0\x75\x73\x65\
\x72\x5f\x69\x70\x36\0\x75\x73\x65\x72\x5f\x70\x6f\x72\x74\0\x66\x61\x6d\x69\
\x6c\x79\0\x6d\x73\x67\x5f\x73\x72\x63\x5f\x69\x70\x34\0\x6d\x73\x67\x5f\x73\
\x72\x63\x5f\x69\x70\x36\0\x73\x6b\0\x63\x74\x78\0\x73\x64\x5f\x62\x69\x6e\x64\
\x34\0\x63\x67\x72\x6f\x75\x70\x2f\x62\x69\x6e\x64\x34\0\x2f\x62\x75\x69\x6c\
\x64\x64\x69\x72\x2f\x62\x75\x69\x6c\x64\x2f\x42\x55\x49\x4c\x44\x2f\x73\x79\
\x73\x74\x65\x6d\x64\x2d\x68\x73\x2d\x32\x35\x30\x2e\x33\x2f\x61\x61\x72\x63\
\x68\x36\x34\x2d\x72\x65\x64\x68\x61\x74\x2d\x6c\x69\x6e\x75\x78\x2d\x67\x6e\
\x75\x2f\x2e\x2e\x2f\x73\x72\x63\x2f\x63\x6f\x72\x65\x2f\x62\x70\x66\x2f\x73\
\x6f\x63\x6b\x65\x74\x5f\x62\x69\x6e\x64\x2f\x73\x6f\x63\x6b\x65\x74\x2d\x62\
\x69\x6e\x64\x2e\x62\x70\x66\x2e\x63\0\x69\x6e\x74\x20\x73\x64\x5f\x62\x69\x6e\
\x64\x34\x28\x73\x74\x72\x75\x63\x74\x20\x62\x70\x66\x5f\x73\x6f\x63\x6b\x5f\
\x61\x64\x64\x72\x20\x2a\x63\x74\x78\x29\x20\x7b\0\x20\x20\x20\x20\x20\x20\x20\
\x20\x69\x66\x20\x28\x63\x74\x78\x2d\x3e\x75\x73\x65\x72\x5f\x66\x61\x6d\x69\
\x6c\x79\x20\x21\x3d\x20\x41\x46\x5f\x49\x4e\x45\x54\x20\x7c\x7c\x20\x63\x74\
\x78\x2d\x3e\x66\x61\x6d\x69\x6c\x79\x20\x21\x3d\x20\x41\x46\x5f\x49\x4e\x45\
\x54\x29\0\x20\x20\x20\x20\x20\x20\x20\x20\x76\x6f\x6c\x61\x74\x69\x6c\x65\x20\
\x5f\x5f\x75\x33\x32\x20\x75\x73\x65\x72\x5f\x70\x6f\x72\x74\x20\x3d\x20\x63\
\x74\x78\x2d\x3e\x75\x73\x65\x72\x5f\x70\x6f\x72\x74\x3b\0\x20\x20\x20\x20\x20\
\x20\x20\x20\x5f\x5f\x75\x31\x36\x20\x70\x6f\x72\x74\x20\x3d\x20\x28\x5f\x5f\
\x75\x31\x36\x29\x62\x70\x66\x5f\x6e\x74\x6f\x68\x73\x28\x75\x73\x65\x72\x5f\
\x70\x6f\x72\x74\x29\x3b\0\x20\x20\x20\x20\x20\x20\x20\x20\x20\x20\x20\x20\x20\
\x20\x20\x20\x63\x6f\x6e\x73\x74\x20\x5f\x5f\x75\x33\x32\x20\x6b\x65\x79\x20\
\x3d\x20\x69\x3b\0\x20\x20\x20\x20\x20\x20\x20\x20\x20\x20\x20\x20\x20\x20\x20\
\x20\x63\x6f\x6e\x73\x74\x20\x73\x74\x72\x75\x63\x74\x20\x73\x6f\x63\x6b\x65\
\x74\x5f\x62\x69\x6e\x64\x5f\x72\x75\x6c\x65\x20\x2a\x72\x75\x6c\x65\x20\x3d\
\x20\x62\x70\x66\x5f\x6d\x61\x70\x5f\x6c\x6f\x6f\x6b\x75\x70\x5f\x65\x6c\x65\
\x6d\x28\x72\x75\x6c\x65\x73\x2c\x20\x26\x6b\x65\x79\x29\x3b\0\x20\x20\x20\x20\
\x20\x20\x20\x20\x20\x20\x20\x20\x20\x20\x20\x20\x69\x66\x20\x28\x21\x72\x75\
\x6c\x65\x29\0\x20\x20\x20\x20\x20\x20\x20\x20\x72\x65\x74\x75\x72\x6e\x20\x6d\
\x61\x74\x63\x68\x5f\x61\x66\x28\x61\x64\x64\x72\x65\x73\x73\x5f\x66\x61\x6d\
\x69\x6c\x79\x2c\x20\x72\x29\x20\x26\x26\0\x20\x20\x20\x20\x20\x20\x20\x20\x20\
\x20\x20\x20\x20\x20\x20\x20\x6d\x61\x74\x63\x68\x5f\x70\x72\x6f\x74\x6f\x63\
\x6f\x6c\x28\x70\x72\x6f\x74\x6f\x63\x6f\x6c\x2c\x20\x72\x29\x20\x26\x26\0\x20\
\x20\x20\x20\x20\x20\x20\x20\x72\x65\x74\x75\x72\x6e\x20\x72\x2d\x3e\x6e\x72\
\x5f\x70\x6f\x72\x74\x73\x20\x3d\x3d\x20\x30\x20\x7c\x7c\0\x20\x20\x20\x20\x20\
\x20\x20\x20\x20\x20\x20\x20\x20\x20\x20\x20\x28\x70\x6f\x72\x74\x20\x3e\x3d\
\x20\x72\x2d\x3e\x70\x6f\x72\x74\x5f\x6d\x69\x6e\x20\x26\x26\x20\x70\x6f\x72\
\x74\x20\x3c\x20\x72\x2d\x3e\x70\x6f\x72\x74\x5f\x6d\x69\x6e\x20\x2b\x20\x28\
\x5f\x5f\x75\x33\x32\x29\x20\x72\x2d\x3e\x6e\x72\x5f\x70\x6f\x72\x74\x73\x29\
\x3b\0\x20\x20\x20\x20\x20\x20\x20\x20\x66\x6f\x72\x20\x28\x5f\x5f\x75\x33\x32\
\x20\x69\x20\x3d\x20\x30\x3b\x20\x69\x20\x3c\x20\x53\x4f\x43\x4b\x45\x54\x5f\
\x42\x49\x4e\x44\x5f\x4d\x41\x58\x5f\x52\x55\x4c\x45\x53\x3b\x20\x2b\x2b\x69\
\x29\x20\x7b\0\x7d\0\x73\x64\x5f\x62\x69\x6e\x64\x36\0\x63\x67\x72\x6f\x75\x70\
\x2f\x62\x69\x6e\x64\x36\0\x69\x6e\x74\x20\x73\x64\x5f\x62\x69\x6e\x64\x36\x28\
\x73\x74\x72\x75\x63\x74\x20\x62\x70\x66\x5f\x73\x6f\x63\x6b\x5f\x61\x64\x64\
\x72\x20\x2a\x63\x74\x78\x29\x20\x7b\0\x20\x20\x20\x20\x20\x20\x20\x20\x69\x66\
\x20\x28\x63\x74\x78\x2d\x3e\x75\x73\x65\x72\x5f\x66\x61\x6d\x69\x6c\x79\x20\
\x21\x3d\x20\x41\x46\x5f\x49\x4e\x45\x54\x36\x20\x7c\x7c\x20\x63\x74\x78\x2d\
\x3e\x66\x61\x6d\x69\x6c\x79\x20\x21\x3d\x20\x41\x46\x5f\x49\x4e\x45\x54\x36\
\x29\0\x63\x68\x61\x72\0\x5f\x6c\x69\x63\x65\x6e\x73\x65\0\x2e\x6d\x61\x70\x73\
\0\x6c\x69\x63\x65\x6e\x73\x65\0\x62\x70\x66\x5f\x73\x6f\x63\x6b\0\x9f\xeb\x01\
\0\x20\0\0\0\0\0\0\0\x24\0\0\0\x24\0\0\0\xd4\x05\0\0\xf8\x05\0\0\0\0\0\0\x08\0\
\0\0\x1d\x01\0\0\x01\0\0\0\0\0\0\0\x15\0\0\0\x1c\x04\0\0\x01\0\0\0\0\0\0\0\x17\
\0\0\0\x10\0\0\0\x1d\x01\0\0\x2e\0\0\0\0\0\0\0\x2a\x01\0\0\x98\x01\0\0\0\x80\
\x01\0\x10\0\0\0\x2a\x01\0\0\xc2\x01\0\0\x12\x84\x01\0\x18\0\0\0\x2a\x01\0\0\
\xc2\x01\0\0\x29\x84\x01\0\x20\0\0\0\x2a\x01\0\0\xc2\x01\0\0\x31\x84\x01\0\x28\
\0\0\0\x2a\x01\0\0\xc2\x01\0\0\x0d\x84\x01\0\x30\0\0\0\x2a\x01\0\0\x05\x02\0\0\
\x29\x08\x01\0\x38\0\0\0\x2a\x01\0\0\x05\x02\0\0\x18\x08\x01\0\x48\0\0\0\x2a\
\x01\0\0\x38\x02\0\0\x1d\x0c\x01\0\x58\0\0\0\x2a\x01\0\0\x6a\x02\0\0\x1d\x18\
\x01\0\x68\0\0\0\x2a\x01\0\0\0\0\0\0\0\0\0\0\x70\0\0\0\x2a\x01\0\0\x8f\x02\0\0\
\x37\x1c\x01\0\x88\0\0\0\x2a\x01\0\0\xe7\x02\0\0\x15\x2c\x01\0\x90\0\0\0\x2a\
\x01\0\0\x02\x03\0\0\x2c\xe8\0\0\xa0\0\0\0\x2a\x01\0\0\0\0\0\0\0\0\0\0\xa8\0\0\
\0\x2a\x01\0\0\0\0\0\0\0\0\0\0\xb0\0\0\0\x2a\x01\0\0\x02\x03\0\0\x2c\xe8\0\0\
\xb8\0\0\0\x2a\x01\0\0\x30\x03\0\0\x2d\xec\0\0\xd8\0\0\0\x2a\x01\0\0\x5f\x03\0\
\0\x13\xc4\0\0\xe0\0\0\0\x2a\x01\0\0\x5f\x03\0\0\x21\xc4\0\0\xe8\0\0\0\x2a\x01\
\0\0\x82\x03\0\0\x1d\xc8\0\0\xf0\0\0\0\x2a\x01\0\0\x82\x03\0\0\x26\xc8\0\0\xf8\
\0\0\0\x2a\x01\0\0\x82\x03\0\0\x3c\xc8\0\0\0\x01\0\0\x2a\x01\0\0\0\0\0\0\0\0\0\
\0\x08\x01\0\0\x2a\x01\0\0\xd5\x03\0\0\x36\x14\x01\0\x28\x01\0\0\x2a\x01\0\0\
\xd5\x03\0\0\x09\x14\x01\0\x30\x01\0\0\x2a\x01\0\0\x05\x02\0\0\x29\x08\x01\0\
\x38\x01\0\0\x2a\x01\0\0\x05\x02\0\0\x18\x08\x01\0\x48\x01\0\0\x2a\x01\0\0\x38\
\x02\0\0\x1d\x0c\x01\0\x58\x01\0\0\x2a\x01\0\0\x6a\x02\0\0\x1d\x18\x01\0\x68\
\x01\0\0\x2a\x01\0\0\0\0\0\0\0\0\0\0\x70\x01\0\0\x2a\x01\0\0\x8f\x02\0\0\x37\
\x1c\x01\0\x88\x01\0\0\x2a\x01\0\0\xe7\x02\0\0\x15\x2c\x01\0\x90\x01\0\0\x2a\
\x01\0\0\x02\x03\0\0\x2c\xe8\0\0\xa0\x01\0\0\x2a\x01\0\0\0\0\0\0\0\0\0\0\xa8\
\x01\0\0\x2a\x01\0\0\0\0\0\0\0\0\0\0\xb0\x01\0\0\x2a\x01\0\0\x02\x03\0\0\x2c\
\xe8\0\0\xb8\x01\0\0\x2a\x01\0\0\x30\x03\0\0\x2d\xec\0\0\xd8\x01\0\0\x2a\x01\0\
\0\x5f\x03\0\0\x13\xc4\0\0\xe0\x01\0\0\x2a\x01\0\0\x5f\x03\0\0\x21\xc4\0\0\xe8\
\x01\0\0\x2a\x01\0\0\x82\x03\0\0\x1d\xc8\0\0\xf0\x01\0\0\x2a\x01\0\0\x82\x03\0\
\0\x26\xc8\0\0\xf8\x01\0\0\x2a\x01\0\0\x82\x03\0\0\x3c\xc8\0\0\0\x02\0\0\x2a\
\x01\0\0\0\0\0\0\0\0\0\0\x08\x02\0\0\x2a\x01\0\0\xd5\x03\0\0\x36\x14\x01\0\x28\
\x02\0\0\x2a\x01\0\0\xd5\x03\0\0\x09\x14\x01\0\x40\x02\0\0\x2a\x01\0\0\x11\x04\
\0\0\x01\x94\x01\0\x1c\x04\0\0\x2e\0\0\0\0\0\0\0\x2a\x01\0\0\x29\x04\0\0\0\xa0\
\x01\0\x10\0\0\0\x2a\x01\0\0\x53\x04\0\0\x12\xa4\x01\0\x18\0\0\0\x2a\x01\0\0\
\x53\x04\0\0\x2a\xa4\x01\0\x20\0\0\0\x2a\x01\0\0\x53\x04\0\0\x32\xa4\x01\0\x28\
\0\0\0\x2a\x01\0\0\x53\x04\0\0\x0d\xa4\x01\0\x30\0\0\0\x2a\x01\0\0\x05\x02\0\0\
\x29\x08\x01\0\x38\0\0\0\x2a\x01\0\0\x05\x02\0\0\x18\x08\x01\0\x48\0\0\0\x2a\
\x01\0\0\x38\x02\0\0\x1d\x0c\x01\0\x58\0\0\0\x2a\x01\0\0\x6a\x02\0\0\x1d\x18\
\x01\0\x68\0\0\0\x2a\x01\0\0\0\0\0\0\0\0\0\0\x70\0\0\0\x2a\x01\0\0\x8f\x02\0\0\
\x37\x1c\x01\0\x88\0\0\0\x2a\x01\0\0\xe7\x02\0\0\x15\x2c\x01\0\x90\0\0\0\x2a\
\x01\0\0\x02\x03\0\0\x2c\xe8\0\0\xa0\0\0\0\x2a\x01\0\0\0\0\0\0\0\0\0\0\xa8\0\0\
\0\x2a\x01\0\0\0\0\0\0\0\0\0\0\xb0\0\0\0\x2a\x01\0\0\x02\x03\0\0\x2c\xe8\0\0\
\xb8\0\0\0\x2a\x01\0\0\x30\x03\0\0\x2d\xec\0\0\xd8\0\0\0\x2a\x01\0\0\x5f\x03\0\
\0\x13\xc4\0\0\xe0\0\0\0\x2a\x01\0\0\x5f\x03\0\0\x21\xc4\0\0\xe8\0\0\0\x2a\x01\
\0\0\x82\x03\0\0\x1d\xc8\0\0\xf0\0\0\0\x2a\x01\0\0\x82\x03\0\0\x26\xc8\0\0\xf8\
\0\0\0\x2a\x01\0\0\x82\x03\0\0\x3c\xc8\0\0\0\x01\0\0\x2a\x01\0\0\0\0\0\0\0\0\0\
\0\x08\x01\0\0\x2a\x01\0\0\xd5\x03\0\0\x36\x14\x01\0\x28\x01\0\0\x2a\x01\0\0\
\xd5\x03\0\0\x09\x14\x01\0\x30\x01\0\0\x2a\x01\0\0\x05\x02\0\0\x29\x08\x01\0\
\x38\x01\0\0\x2a\x01\0\0\x05\x02\0\0\x18\x08\x01\0\x48\x01\0\0\x2a\x01\0\0\x38\
\x02\0\0\x1d\x0c\x01\0\x58\x01\0\0\x2a\x01\0\0\x6a\x02\0\0\x1d\x18\x01\0\x68\
\x01\0\0\x2a\x01\0\0\0\0\0\0\0\0\0\0\x70\x01\0\0\x2a\x01\0\0\x8f\x02\0\0\x37\
\x1c\x01\0\x88\x01\0\0\x2a\x01\0\0\xe7\x02\0\0\x15\x2c\x01\0\x90\x01\0\0\x2a\
\x01\0\0\x02\x03\0\0\x2c\xe8\0\0\xa0\x01\0\0\x2a\x01\0\0\0\0\0\0\0\0\0\0\xa8\
\x01\0\0\x2a\x01\0\0\0\0\0\0\0\0\0\0\xb0\x01\0\0\x2a\x01\0\0\x02\x03\0\0\x2c\
\xe8\0\0\xb8\x01\0\0\x2a\x01\0\0\x30\x03\0\0\x2d\xec\0\0\xd8\x01\0\0\x2a\x01\0\
\0\x5f\x03\0\0\x13\xc4\0\0\xe0\x01\0\0\x2a\x01\0\0\x5f\x03\0\0\x21\xc4\0\0\xe8\
\x01\0\0\x2a\x01\0\0\x82\x03\0\0\x1d\xc8\0\0\xf0\x01\0\0\x2a\x01\0\0\x82\x03\0\
\0\x26\xc8\0\0\xf8\x01\0\0\x2a\x01\0\0\x82\x03\0\0\x3c\xc8\0\0\0\x02\0\0\x2a\
\x01\0\0\0\0\0\0\0\0\0\0\x08\x02\0\0\x2a\x01\0\0\xd5\x03\0\0\x36\x14\x01\0\x28\
\x02\0\0\x2a\x01\0\0\xd5\x03\0\0\x09\x14\x01\0\x40\x02\0\0\x2a\x01\0\0\x11\x04\
\0\0\x01\xb4\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\x03\0\x02\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xdd\0\0\0\0\0\x02\0\x40\
\x02\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xec\0\0\0\0\0\x02\0\x58\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\x1b\x01\0\0\0\0\x02\0\x30\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xa4\0\0\0\0\
\0\x02\0\xb8\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x3b\x01\0\0\0\0\x02\0\x08\x01\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\x6c\0\0\0\0\0\x02\0\xd8\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\x0b\x01\0\0\0\0\x02\0\x58\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xb3\0\0\0\0\0\x02\0\
\xb8\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x2b\x01\0\0\0\0\x02\0\x08\x02\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\x7b\0\0\0\0\0\x02\0\xd8\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xfb\0\
\0\0\0\0\x02\0\x38\x02\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x03\0\x03\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\xd5\0\0\0\0\0\x03\0\x40\x02\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\xe5\0\0\0\0\0\x03\0\x58\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x13\x01\0\0\0\0\x03\0\
\x30\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x9d\0\0\0\0\0\x03\0\xb8\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\x33\x01\0\0\0\0\x03\0\x08\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x65\0\0\
\0\0\0\x03\0\xd8\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x03\x01\0\0\0\0\x03\0\x58\x01\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\xab\0\0\0\0\0\x03\0\xb8\x01\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\x23\x01\0\0\0\0\x03\0\x08\x02\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x73\0\0\0\0\0\
\x03\0\xd8\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xf3\0\0\0\0\0\x03\0\x38\x02\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\xbb\0\0\0\x12\0\x02\0\0\0\0\0\0\0\0\0\x50\x02\0\0\0\0\0\0\
\x0e\0\0\0\x11\0\x05\0\0\0\0\0\0\0\0\0\x18\0\0\0\0\0\0\0\x01\0\0\0\x11\0\x05\0\
\x18\0\0\0\0\0\0\0\x18\0\0\0\0\0\0\0\x83\0\0\0\x12\0\x03\0\0\0\0\0\0\0\0\0\x50\
\x02\0\0\0\0\0\0\x43\0\0\0\x11\0\x04\0\0\0\0\0\0\0\0\0\x04\0\0\0\0\0\0\0\x70\0\
\0\0\0\0\0\0\x01\0\0\0\x1a\0\0\0\x70\x01\0\0\0\0\0\0\x01\0\0\0\x1b\0\0\0\x70\0\
\0\0\0\0\0\0\x01\0\0\0\x1a\0\0\0\x70\x01\0\0\0\0\0\0\x01\0\0\0\x1b\0\0\0\x8c\
\x02\0\0\0\0\0\0\x04\0\0\0\x1a\0\0\0\x98\x02\0\0\0\0\0\0\x04\0\0\0\x1b\0\0\0\
\xb0\x02\0\0\0\0\0\0\x04\0\0\0\x1d\0\0\0\x2c\0\0\0\0\0\0\0\x04\0\0\0\x01\0\0\0\
\x3c\0\0\0\0\0\0\0\x04\0\0\0\x0d\0\0\0\x50\0\0\0\0\0\0\0\x04\0\0\0\x01\0\0\0\
\x60\0\0\0\0\0\0\0\x04\0\0\0\x01\0\0\0\x70\0\0\0\0\0\0\0\x04\0\0\0\x01\0\0\0\
\x80\0\0\0\0\0\0\0\x04\0\0\0\x01\0\0\0\x90\0\0\0\0\0\0\0\x04\0\0\0\x01\0\0\0\
\xa0\0\0\0\0\0\0\0\x04\0\0\0\x01\0\0\0\xb0\0\0\0\0\0\0\0\x04\0\0\0\x01\0\0\0\
\xc0\0\0\0\0\0\0\0\x04\0\0\0\x01\0\0\0\xd0\0\0\0\0\0\0\0\x04\0\0\0\x01\0\0\0\
\xe0\0\0\0\0\0\0\0\x04\0\0\0\x01\0\0\0\xf0\0\0\0\0\0\0\0\x04\0\0\0\x01\0\0\0\0\
\x01\0\0\0\0\0\0\x04\0\0\0\x01\0\0\0\x10\x01\0\0\0\0\0\0\x04\0\0\0\x01\0\0\0\
\x20\x01\0\0\0\0\0\0\x04\0\0\0\x01\0\0\0\x30\x01\0\0\0\0\0\0\x04\0\0\0\x01\0\0\
\0\x40\x01\0\0\0\0\0\0\x04\0\0\0\x01\0\0\0\x50\x01\0\0\0\0\0\0\x04\0\0\0\x01\0\
\0\0\x60\x01\0\0\0\0\0\0\x04\0\0\0\x01\0\0\0\x70\x01\0\0\0\0\0\0\x04\0\0\0\x01\
\0\0\0\x80\x01\0\0\0\0\0\0\x04\0\0\0\x01\0\0\0\x90\x01\0\0\0\0\0\0\x04\0\0\0\
\x01\0\0\0\xa0\x01\0\0\0\0\0\0\x04\0\0\0\x01\0\0\0\xb0\x01\0\0\0\0\0\0\x04\0\0\
\0\x01\0\0\0\xc0\x01\0\0\0\0\0\0\x04\0\0\0\x01\0\0\0\xd0\x01\0\0\0\0\0\0\x04\0\
\0\0\x01\0\0\0\xe0\x01\0\0\0\0\0\0\x04\0\0\0\x01\0\0\0\xf0\x01\0\0\0\0\0\0\x04\
\0\0\0\x01\0\0\0\0\x02\0\0\0\0\0\0\x04\0\0\0\x01\0\0\0\x10\x02\0\0\0\0\0\0\x04\
\0\0\0\x01\0\0\0\x20\x02\0\0\0\0\0\0\x04\0\0\0\x01\0\0\0\x30\x02\0\0\0\0\0\0\
\x04\0\0\0\x01\0\0\0\x40\x02\0\0\0\0\0\0\x04\0\0\0\x01\0\0\0\x50\x02\0\0\0\0\0\
\0\x04\0\0\0\x01\0\0\0\x60\x02\0\0\0\0\0\0\x04\0\0\0\x01\0\0\0\x70\x02\0\0\0\0\
\0\0\x04\0\0\0\x01\0\0\0\x80\x02\0\0\0\0\0\0\x04\0\0\0\x01\0\0\0\x90\x02\0\0\0\
\0\0\0\x04\0\0\0\x01\0\0\0\xa0\x02\0\0\0\0\0\0\x04\0\0\0\x01\0\0\0\xb0\x02\0\0\
\0\0\0\0\x04\0\0\0\x01\0\0\0\xc0\x02\0\0\0\0\0\0\x04\0\0\0\x01\0\0\0\xd0\x02\0\
\0\0\0\0\0\x04\0\0\0\x01\0\0\0\xe0\x02\0\0\0\0\0\0\x04\0\0\0\x01\0\0\0\xf0\x02\
\0\0\0\0\0\0\x04\0\0\0\x01\0\0\0\0\x03\0\0\0\0\0\0\x04\0\0\0\x01\0\0\0\x10\x03\
\0\0\0\0\0\0\x04\0\0\0\x01\0\0\0\x20\x03\0\0\0\0\0\0\x04\0\0\0\x01\0\0\0\x38\
\x03\0\0\0\0\0\0\x04\0\0\0\x0d\0\0\0\x48\x03\0\0\0\0\0\0\x04\0\0\0\x0d\0\0\0\
\x58\x03\0\0\0\0\0\0\x04\0\0\0\x0d\0\0\0\x68\x03\0\0\0\0\0\0\x04\0\0\0\x0d\0\0\
\0\x78\x03\0\0\0\0\0\0\x04\0\0\0\x0d\0\0\0\x88\x03\0\0\0\0\0\0\x04\0\0\0\x0d\0\
\0\0\x98\x03\0\0\0\0\0\0\x04\0\0\0\x0d\0\0\0\xa8\x03\0\0\0\0\0\0\x04\0\0\0\x0d\
\0\0\0\xb8\x03\0\0\0\0\0\0\x04\0\0\0\x0d\0\0\0\xc8\x03\0\0\0\0\0\0\x04\0\0\0\
\x0d\0\0\0\xd8\x03\0\0\0\0\0\0\x04\0\0\0\x0d\0\0\0\xe8\x03\0\0\0\0\0\0\x04\0\0\
\0\x0d\0\0\0\xf8\x03\0\0\0\0\0\0\x04\0\0\0\x0d\0\0\0\x08\x04\0\0\0\0\0\0\x04\0\
\0\0\x0d\0\0\0\x18\x04\0\0\0\0\0\0\x04\0\0\0\x0d\0\0\0\x28\x04\0\0\0\0\0\0\x04\
\0\0\0\x0d\0\0\0\x38\x04\0\0\0\0\0\0\x04\0\0\0\x0d\0\0\0\x48\x04\0\0\0\0\0\0\
\x04\0\0\0\x0d\0\0\0\x58\x04\0\0\0\0\0\0\x04\0\0\0\x0d\0\0\0\x68\x04\0\0\0\0\0\
\0\x04\0\0\0\x0d\0\0\0\x78\x04\0\0\0\0\0\0\x04\0\0\0\x0d\0\0\0\x88\x04\0\0\0\0\
\0\0\x04\0\0\0\x0d\0\0\0\x98\x04\0\0\0\0\0\0\x04\0\0\0\x0d\0\0\0\xa8\x04\0\0\0\
\0\0\0\x04\0\0\0\x0d\0\0\0\xb8\x04\0\0\0\0\0\0\x04\0\0\0\x0d\0\0\0\xc8\x04\0\0\
\0\0\0\0\x04\0\0\0\x0d\0\0\0\xd8\x04\0\0\0\0\0\0\x04\0\0\0\x0d\0\0\0\xe8\x04\0\
\0\0\0\0\0\x04\0\0\0\x0d\0\0\0\xf8\x04\0\0\0\0\0\0\x04\0\0\0\x0d\0\0\0\x08\x05\
\0\0\0\0\0\0\x04\0\0\0\x0d\0\0\0\x18\x05\0\0\0\0\0\0\x04\0\0\0\x0d\0\0\0\x28\
\x05\0\0\0\0\0\0\x04\0\0\0\x0d\0\0\0\x38\x05\0\0\0\0\0\0\x04\0\0\0\x0d\0\0\0\
\x48\x05\0\0\0\0\0\0\x04\0\0\0\x0d\0\0\0\x58\x05\0\0\0\0\0\0\x04\0\0\0\x0d\0\0\
\0\x68\x05\0\0\0\0\0\0\x04\0\0\0\x0d\0\0\0\x78\x05\0\0\0\0\0\0\x04\0\0\0\x0d\0\
\0\0\x88\x05\0\0\0\0\0\0\x04\0\0\0\x0d\0\0\0\x98\x05\0\0\0\0\0\0\x04\0\0\0\x0d\
\0\0\0\xa8\x05\0\0\0\0\0\0\x04\0\0\0\x0d\0\0\0\xb8\x05\0\0\0\0\0\0\x04\0\0\0\
\x0d\0\0\0\xc8\x05\0\0\0\0\0\0\x04\0\0\0\x0d\0\0\0\xd8\x05\0\0\0\0\0\0\x04\0\0\
\0\x0d\0\0\0\xe8\x05\0\0\0\0\0\0\x04\0\0\0\x0d\0\0\0\xf8\x05\0\0\0\0\0\0\x04\0\
\0\0\x0d\0\0\0\x08\x06\0\0\0\0\0\0\x04\0\0\0\x0d\0\0\0\x20\x23\x24\x21\x22\0\
\x73\x64\x5f\x62\x69\x6e\x64\x5f\x64\x65\x6e\x79\0\x73\x64\x5f\x62\x69\x6e\x64\
\x5f\x61\x6c\x6c\x6f\x77\0\x2e\x74\x65\x78\x74\0\x2e\x72\x65\x6c\x2e\x42\x54\
\x46\x2e\x65\x78\x74\0\x2e\x6d\x61\x70\x73\0\x2e\x6c\x6c\x76\x6d\x5f\x61\x64\
\x64\x72\x73\x69\x67\0\x5f\x6c\x69\x63\x65\x6e\x73\x65\0\x2e\x73\x74\x72\x74\
\x61\x62\0\x2e\x73\x79\x6d\x74\x61\x62\0\x2e\x72\x65\x6c\x2e\x42\x54\x46\0\x4c\
\x42\x42\x31\x5f\x38\0\x4c\x42\x42\x30\x5f\x38\0\x4c\x42\x42\x31\x5f\x31\x38\0\
\x4c\x42\x42\x30\x5f\x31\x38\0\x73\x64\x5f\x62\x69\x6e\x64\x36\0\x2e\x72\x65\
\x6c\x63\x67\x72\x6f\x75\x70\x2f\x62\x69\x6e\x64\x36\0\x4c\x42\x42\x31\x5f\x36\
\0\x4c\x42\x42\x30\x5f\x36\0\x4c\x42\x42\x31\x5f\x31\x36\0\x4c\x42\x42\x30\x5f\
\x31\x36\0\x73\x64\x5f\x62\x69\x6e\x64\x34\0\x2e\x72\x65\x6c\x63\x67\x72\x6f\
\x75\x70\x2f\x62\x69\x6e\x64\x34\0\x4c\x42\x42\x31\x5f\x32\x34\0\x4c\x42\x42\
\x30\x5f\x32\x34\0\x4c\x42\x42\x31\x5f\x33\0\x4c\x42\x42\x30\x5f\x33\0\x4c\x42\
\x42\x31\x5f\x32\x33\0\x4c\x42\x42\x30\x5f\x32\x33\0\x4c\x42\x42\x31\x5f\x31\
\x33\0\x4c\x42\x42\x30\x5f\x31\x33\0\x4c\x42\x42\x31\x5f\x31\x32\0\x4c\x42\x42\
\x30\x5f\x31\x32\0\x4c\x42\x42\x31\x5f\x32\x31\0\x4c\x42\x42\x30\x5f\x32\x31\0\
\x4c\x42\x42\x31\x5f\x31\x31\0\x4c\x42\x42\x30\x5f\x31\x31\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x1c\0\0\0\x01\0\0\0\x06\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\x40\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x04\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\xc8\0\0\0\x01\0\0\0\x06\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x40\0\0\0\
\0\0\0\0\x50\x02\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\x90\0\0\0\x01\0\0\0\x06\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x90\x02\0\0\0\0\0\0\x50\
\x02\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x44\0\0\0\
\x01\0\0\0\x03\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xe0\x04\0\0\0\0\0\0\x04\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x2f\0\0\0\x01\0\0\0\x03\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xe8\x04\0\0\0\0\0\0\x30\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\x08\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x60\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\x18\x05\0\0\0\0\0\0\x81\x07\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x01\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\x26\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\x99\x0c\0\0\0\0\0\0\x18\x06\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x01\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\x54\0\0\0\x02\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xb8\x12\0\0\0\
\0\0\0\xd0\x02\0\0\0\0\0\0\x0e\0\0\0\x19\0\0\0\x08\0\0\0\0\0\0\0\x18\0\0\0\0\0\
\0\0\xc4\0\0\0\x09\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x88\x15\0\0\0\0\0\0\
\x20\0\0\0\0\0\0\0\x08\0\0\0\x02\0\0\0\x08\0\0\0\0\0\0\0\x10\0\0\0\0\0\0\0\x8c\
\0\0\0\x09\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xa8\x15\0\0\0\0\0\0\x20\0\0\0\
\0\0\0\0\x08\0\0\0\x03\0\0\0\x08\0\0\0\0\0\0\0\x10\0\0\0\0\0\0\0\x5c\0\0\0\x09\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xc8\x15\0\0\0\0\0\0\x30\0\0\0\0\0\0\0\
\x08\0\0\0\x06\0\0\0\x08\0\0\0\0\0\0\0\x10\0\0\0\0\0\0\0\x22\0\0\0\x09\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xf8\x15\0\0\0\0\0\0\xe0\x05\0\0\0\0\0\0\x08\0\0\
\0\x07\0\0\0\x08\0\0\0\0\0\0\0\x10\0\0\0\0\0\0\0\x35\0\0\0\x03\x4c\xff\x6f\0\0\
\0\x80\0\0\0\0\0\0\0\0\0\0\0\0\xd8\x1b\0\0\0\0\0\0\x05\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x4c\0\0\0\x03\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\xdd\x1b\0\0\0\0\0\0\x43\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x01\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0";

	return 0;
err:
	bpf_object__destroy_skeleton(s);
	return -1;
}

#endif /* __SOCKET_BIND_BPF_SKEL_H__ */
